Subject: Re: About Data Base Description packet

From: praveendas e <[email-masked]>
Date: Wed, 7 Aug 2002 06:00:30 +0000

Hai angela

Angela wrote:

Hi All

I have one question about interfae MTU processing in DDP exchange.

In my mind, I think any MTU mismatch between two neighbor can not exchange normally. So I think any router(OSPFv2 or OSPFv3) should not process the DDP with lower or higher MTU set. If anyone could help? Is it right??

In section A.3.3 The Database Description packet

of RFC 2328 it is given the description of

interface MTU and it says that

"Interface MTU

The size in bytes of the largest IP datagram that can be sent

out the associated interface, without fragmentation. "

And this interface MTU is initially configured as the fixed default value while configuring a new router interface (According to the network type Ethernet/Point-to-point or what ever ).

Suppose you configure one router interface having MTU 1500Bytes and another router with interafce MTU 2000Bytes whenever receiving a DD packet, OSPF is checking for interface MTU. If the DD packet MTU is Less than the interface MTU then the DD packet will accept otherwise the packet will reject saying that MTU mismatch and dropping the packet.

Hope this will help you

Regards

Praveendas

Join the world’s largest e-mail service with MSN Hotmail. Click Here